%define name	liblo
%define version	0.24

%define major		0
%define libname 	%{mklibname lo %major}
%define develname	%{mklibname lo -d}

Name: 	 	%{name}
Summary: 	Open Sound Control protocol
Version: 	%{version}
Release: 	%mkrel 3

Source:		http://plugin.org.uk/liblo/releases/%{name}-%{version}.tar.gz
URL:		http://plugin.org.uk/liblo/
License:	GPLv2
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	doxygen

%description
LibLO is an implementation of the Open Sound Control protocol for POSIX
systems, started by Steve Harris.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname lo 0 -d}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS NEWS ChangeLog README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.24-3mdv2008.1
+ Revision: 178963
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.com> 0.24-1mdv2008.0
+ Revision: 55104
- rebuild for 2008
- new devel policy
- new release 0.24
- Import liblo



* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.23-1mdv2007.0
- 0.23
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.18pp-2mdk
- Rebuild

* Sat Jul 2 2005 Austin Acton <austin@mandriva.org> 0.18pp-1mdk
- 0.18
- patches (pp) from http://freebob.sourceforge.net/

* Sun Aug 8 2004 Austin Acton <austin@mandrake.org> 0.8-1mdk
- initial package
